package Shutter::App::UTF8Locale;

use strict;
use utf8;
use Encode;
use Locale::gettext;
use POSIX ();

use vars qw(@ISA @EXPORT @EXPORT_OK);

use Exporter;
@ISA = ('Exporter');

#list of function names
@EXPORT = qw ();

#theese are public variables
@EXPORT_OK = qw( );

sub new {
    my $class = shift;
    my $shutter_root = shift;
    my $domain = shift || "shutter";

    POSIX::setlocale(POSIX::LC_ALL(), "");

    Locale::gettext::bindtextdomain($domain,"/usr/share/locale");
    Locale::gettext::bind_textdomain_codeset($domain, 'UTF-8');

    my $self = {domain => $domain };

    bless $self, $class;
    return $self;
}

sub get {
    my $class = shift;
    my $text = shift;
    return Locale::gettext::dgettext($class->{domain},$text);
}

sub nget {
    my $class = shift;
    my $text = shift;
    return Locale::gettext::dgettext($class->{domain},$text);
}

1;
